<h1>Angular course</h1>
<hr />

<h2>Attribute directives</h2>
<p highlight bg-color="orange">Hello !</p>
<span underline-on-hover>Hover me!</span>

<hr />

<h2>Structural directives</h2>
<ul>
  <li *loop="5; let index = number">Loop item #{{ index }}</li>
</ul>

<p *if="true">Our custom if structural directive</p>

<hr />

<h2>Introduction to templates</h2>
<p *ngIf="false; else otherOption">This is the first option</p>
<ng-template #otherOption>
  <p>Second option</p>
</ng-template>

<ng-template [if]="true">
  <p>The structural directive generates an ng-template in the background</p>
</ng-template>
